package com.junmp.junmpProcess.vo;

import com.junmp.junmpProcess.dto.json.UserInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.flowable.task.api.DelegationState;

import java.util.Date;

/**
 * @author LoveMyOrange
 * @create 2022-10-14 23:47
 */
@Data
@ApiModel("待办 需要返回给前端的VO")
public class TaskVO {
    @ApiModelProperty("任务id")
    private String taskId;
    @ApiModelProperty("任务id")
    private String processInstanceId;
    @ApiModelProperty("订单表ID")
    private String orderId;
    @ApiModelProperty("订单类型")
    private String orderType;
    @ApiModelProperty("审批类型")
    private String processDefinitionName;
    @ApiModelProperty("发起人")
    private UserInfo startUser;
    @ApiModelProperty("提交时间")
    private Date startTime;
    @ApiModelProperty("任务到达时间")
    private Date taskCreatedTime;
    @ApiModelProperty("当前节点")
    private String currentActivityName;
    @ApiModelProperty("审批状态")
    private String businessStatus;
    @ApiModelProperty("结束时间")
    private Date endTime;
    @ApiModelProperty("耗时")
    private String duration;
    @ApiModelProperty("委派状态")
    private DelegationState delegationState;
    @ApiModelProperty("发物单位")
    private String startOrgName;
    @ApiModelProperty("收物单位")
    private String endOrgName;
    @ApiModelProperty("装备列表")
    private String equipmentList;
    @ApiModelProperty("单据类型")
    private String bussinessType;
    @ApiModelProperty("出入库状态")
    private String outInState;

}
