package com.junmp.junmpProcess.dto;

import com.alibaba.fastjson.JSONObject;
import com.junmp.junmpProcess.dto.json.JunmpUserInfo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import com.junmp.junmpProcess.dto.json.UserInfo;

import java.util.List;
import java.util.Map;

/**
 * @author LoveMyOrange
 * @create 2022-10-14 23:27
 */
@Data
public class StartProcessInstanceDTO {
    private String processDefinitionId;
    private JSONObject formData;
    private String orderId;
    //单据类型（入库单，出库单，业务单）
    private String orderType;
    private String userId;
    private String triggerId;
    //发物单位
    private String startOrgName;
    //收物单位
    private String endOrgName;
    //装备列表拼接
    private String equipmentList;

    //单据业务类型
    private String bussinessType;
    //出入库单据状态（出库还是入库）
    private String outInState;

}
